org.apache.avro.perf.test.record.jmh_generated

## Class RecordWithPromotionTest_jmhType_B1

- java.lang.Object
- - org.apache.avro.perf.test.record.RecordWithPromotionTest
  - - org.apache.avro.perf.test.record.jmh_generated.RecordWithPromotionTest_jmhType_B1

Direct Known Subclasses:
  RecordWithPromotionTest_jmhType_B2

    public class RecordWithPromotionTest_jmhType_B1
    extends RecordWithPromotionTest

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.avro.perf.test.record.RecordWithPromotionTest

`RecordWithPromotionTest.TestStateDecode`

### Constructor Summary

Constructors
Constructor and Description
`RecordWithPromotionTest_jmhType_B1()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.record.RecordWithPromotionTest

`decode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecordWithPromotionTest_jmhType_B1

    public RecordWithPromotionTest_jmhType_B1()